HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

List all clients

This API endpoint retrieves a list of Clients, based on the query parameters provided. Clients List includes details like name, status, health, etc., The query parameters allow you to narrow down the results that meet specific criteria, ensuring you receive only the relevant data.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

The ID of the site from which the clients are to be retrieved.

string

The name of the site from which the clients are to be retrieved.

string

Specifies the device identifier.

string
length ≤ 13

Specifies the start timestamp in epoch milliseconds for clients list. Defaults to last 3hrs. Can be set up to 30 days in the past.

string
length ≤ 13

Specifies the end timestamp in epoch milliseconds for clients list. Will be set to current timestamp even if provided.

string

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction ('or' and 'not' are NOT supported). Supported fields and operators are in the below given table.

FieldOperators
healtheq and in
statuseq and in
typeeq and in
networkeq and in
vlanIdeq and in
tunneleq and in
roleeq and in

The operators are implemented as follows:

  • eq: Only values exactly matching the given value are returned.
  • in: Only values present in the given list are returned.

List of applicable filters for field and terms:

FieldApplicable Terms
health["Good", "Fair", "Poor"]
status["Connected", "Failed", "Connecting", "Disconnected", "Blocked", "Unknown"]
type["Wired", "Wireless"]
networkstring
vlanIdstring
tunnel["Port-based", "User-based", "Overlay"]
rolestring
string
length ≤ 256

Sort field followed by a direction indicator ASC (ascending) or DESC (descending). Supported fields are name,health,status,statusReason,type,mac,ipv4,ipv6,connectedDeviceSerial,connectedTo,lastSeenAt,port,role,network,vlanId,tunnel,tunnelId,connectedSince

integer
≥ 1
Defaults to 1

Specifies the pagination cursor for the next page of resources. Minimum value is 1

integer
1 to 1000
Defaults to 100

Maximum number of clients to be retrieved. Allowed range is 1 to 1000.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json